[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#321820: Bug#375208: ppc oldworld miboot-floppies daily-build status



On Thursday 29 June 2006 19:03, Holger Levsen wrote:
> I rewrote the checks a bit and attached the diff to trunk.

Please check the attached patch (cleaned up and with template changes).

Please take care when editing the changelog:
- line length
- capitalization of sentences
- mark new release as UNRELEASED
- spaces around name within block quotes (use dch!)

Also avoid too long lines and comments in the script.

I've rewritten the quik-installer/boot_not_ext2 template so it can be used 
for both / and /boot.

I'll do a whitespace cleanup on the script after the final patch has been 
decided.

Cheers,
FJP

Index: debian/quik-installer.templates
===================================================================
--- debian/quik-installer.templates	(revision 38481)
+++ debian/quik-installer.templates	(working copy)
@@ -30,17 +30,17 @@
  The quik boot loader requires the root partition to be on the first disk.
  Please return to the partitioning step.
 
-Template: quik-installer/boot_not_on_root
+Template: quik-installer/boot_not_on_first_disk
 Type: error
-_Description: /boot cannot be a separate partition
- The quik boot loader requires /boot to be on the same partition as /.
+_Description: Boot partition not on first disk
+ The quik boot loader requires the boot partition to be on the first disk.
  Please return to the partitioning step.
 
-Template: quik-installer/root_not_ext2
+Template: quik-installer/boot_not_ext2
 Type: error
-_Description: Root partition must be ext2
- The quik boot loader requires the root partition to be formatted using the
- ext2 file system. Please return to the partitioning step.
+_Description: Boot partition must be on ext2
+ The quik boot loader requires the partition that holds /boot to be formatted
+ using the ext2 file system. Please return to the partitioning step.
 
 Template: quik-installer/oldworld_warning
 Type: boolean
Index: debian/postinst
===================================================================
--- debian/postinst	(revision 38481)
+++ debian/postinst	(working copy)
@@ -97,17 +97,22 @@
 [ "$boot_devfs" ] || boot_devfs="$root_devfs"
 boot="$(mapdevfs "$boot_devfs")"
 info "boot partition: $boot"
+
+# The partition where quik is installed must be ext2 and
+# quik must be installed on the first disk
 if [ "$boot_devfs" != "$root_devfs" ]; then
-    # TODO: Is this still required, now that we put kernel symlinks in
-    # /boot?
-    die quik-installer/boot_not_on_root '/boot not on /'
+    if ! grep '[[:space:]]/target/boot[[:space:]]ext2[[:space:]]' /proc/mounts \
+        >/dev/null; then
+        die quik-installer/boot_not_ext2 '/boot not ext2'
+    fi
+    if [ "${boot#/dev/hd}" != "$boot" ] && [ "${boot#/dev/hda}" = "$boot" ]; then
+        die quik-installer/boot_not_on_first_disk '/boot not on first disk'
+    fi
+elif ! grep '[[:space:]]/target[[:space:]]ext2[[:space:]]' /proc/mounts \
+    >/dev/null; then
+    die quik-installer/boot_not_ext2 '/boot not ext2'
 fi
 
-if ! grep '[[:space:]]/target[[:space:]]ext2[[:space:]]' /proc/mounts \
-   >/dev/null; then
-    die quik-installer/root_not_ext2 '/ not ext2'
-fi
-
 # Generate quik.conf
 
 db_progress STEP 1
@@ -146,10 +151,22 @@
     realinitrd="${initrd%/*}/$realinitrd"
 fi
 
-rm -f /target/etc/quik.conf
+if [ "$boot_devfs" != "$root_devfs" ]; then
+	quikconf=/target/boot/etc/quik.conf
+	mkdir -p /target/boot/etc
+	quikinstall="quik -v -f -C /boot/etc/quik.conf"
+else 
+	quikconf=/target/etc/quik.conf
+	quikinstall="quik -v -f"
 
+fi
+
+#       TODO: in case /boot is a seperate partition:
+#             make a link from /etc/quik.conf to /boot/etc/quik.conf
+rm -f $quikconf
+
 writequikconf() {
-    writefile /target/etc/quik.conf quik.conf
+    writefile $quikconf quik.conf
 }
 
 writequikconf <<EOF
@@ -161,6 +178,8 @@
 root=$root
 partition=$partnr
 
+#	TODO: AFAIK this comment isnt true anymore and should be removed..
+#		this needs confirmation/testing
 ## Do not point image= to a symlink, quik can't follow symlinks
 image=$realkernel
 	label=Linux
@@ -199,7 +218,7 @@
 db_get "$WARNING_TEMPLATE"
 [ "$RET" = true ] || exit 10
 
-log-output -t quik-installer chroot /target quik -v -f || \
+log-output -t quik-installer chroot /target $quikinstall || \
     die quik-installer/quikerr "quik failed with exit status $?"
 
 # Configure OpenFirmware (OldWorld only)
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 38481)
+++ debian/changelog	(working copy)
@@ -1,3 +1,13 @@
+quik-installer (0.0.14) UNRELEASED; urgency=low
+
+  [ Holger Levsen ]
+  * Adjusted the partition checks to match with current quik version.
+    Closes: #321820
+  * If /boot is a seperate partition, quik.conf needs to reside in
+    /boot/etc/quik.conf.
+
+ -- Holger Levsen <debian@layer-acht.org>  Thu, 29 Jun 2006 18:40:30 +0200
+
 quik-installer (0.0.13) unstable; urgency=low
 
   [ Joey Hess ]

Attachment: pgpJx9LWxzVj5.pgp
Description: PGP signature


Reply to: